org.h2.jdbc

## Class JdbcConnection.Settings

- java.lang.Object
- - org.h2.jdbc.JdbcConnection.Settings

Enclosing class:
  JdbcConnection

    public static final class JdbcConnection.Settings
    extends java.lang.Object

Database settings.

### Field Summary

Fields
`boolean` `caseInsensitiveIdentifiers` Whether all identifiers are case insensitive.
`boolean` `databaseToLower` Whether unquoted identifiers are converted to lower case.
`boolean` `databaseToUpper` Whether unquoted identifiers are converted to upper case.
`Mode` `mode` The database mode.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mode

    public final Mode mode

The database mode.

#### databaseToUpper

    public final boolean databaseToUpper

Whether unquoted identifiers are converted to upper case.

#### databaseToLower

    public final boolean databaseToLower

Whether unquoted identifiers are converted to lower case.

#### caseInsensitiveIdentifiers

    public final boolean caseInsensitiveIdentifiers

Whether all identifiers are case insensitive.